%bcond_with bootstrap

Name:           maven-common-artifact-filters
Version:        3.3.2
Release:        %mkrel 1
Group:          Development/Java
Summary:        Maven Common Artifact Filters
License:        ASL 2.0
URL:            https://maven.apache.org/shared/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.resolver:maven-resolver-api)
BuildRequires:  mvn(org.apache.maven.resolver:maven-resolver-util)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:  mvn(org.mockito:mockito-core)
%endif

%description
A collection of ready-made filters to control inclusion/exclusion of artifacts
during dependency resolution.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

# Test depends on jmh performance benchmarking library
%pom_remove_dep org.openjdk.jmh:jmh-core
%pom_remove_dep org.openjdk.jmh:jmh-generator-annprocess

rm src/test/java/org/apache/maven/shared/artifact/filter/PatternFilterPerfTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE




%changelog
* Wed May 22 2024 ns80 <ns80> 3.3.2-1.mga10
+ Revision: 2066035
- new version 3.3.2 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 3.2.0-2.mga9
+ Revision: 1871252
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 3.2.0-1.mga9
+ Revision: 1870614
- New version 3.2.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Mar 01 2021 daviddavid <daviddavid> 3.1.1-1.mga9
+ Revision: 1694896
- Update to version 3.1.1

* Fri Aug 21 2020 neoclust <neoclust> 3.1.0-1.mga8
+ Revision: 1617208
- New version 3.1.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Nov 18 2018 guillomovitch <guillomovitch> 3.0.1-1.mga7
+ Revision: 1331032
- new version 3.0.1

* Wed Sep 19 2018 umeabot <umeabot> 3.0.0-5.mga7
+ Revision: 1264035
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 3.0.0-4.mga6
+ Revision: 1101551
- Rebuild maven-* packages
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 3.0.0-2.mga6
+ Revision: 977464
- Fix group
- imported package maven-common-artifact-filters

* Sun Dec 20 2015 zezinho <zezinho> 3.0.0-1.mga6
+ Revision: 912509
- new version from fedora spec

* Wed Oct 15 2014 umeabot <umeabot> 0:1.4-13.mga5
+ Revision: 740441
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 0:1.4-10.mga4
+ Revision: 488710
- Build with xmvn

* Sat Jul 13 2013 dmorgan <dmorgan> 0:1.4-9.mga4
+ Revision: 453935
- Removed B/R on maven-shared (unnecessary + blocking maven-shared retirement)

* Mon Jul 08 2013 dmorgan <dmorgan> 0:1.4-8.mga4
+ Revision: 451166
- Fix cglib groupId
- added cglib as test dep.

* Mon Jul 08 2013 dmorgan <dmorgan> 0:1.4-7.mga4
+ Revision: 451161
- added aopalliance as test dep.

* Mon Jul 08 2013 dmorgan <dmorgan> 0:1.4-6.mga4
+ Revision: 451128
- Use junit instead of junit4

* Sat Jan 12 2013 umeabot <umeabot> 0:1.4-5.mga3
+ Revision: 359587
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 dmorgan <dmorgan> 0:1.4-4.mga3
+ Revision: 262989
- Rebuild to check that deps are OK

* Sun Jun 24 2012 dmorgan <dmorgan> 0:1.4-3.mga3
+ Revision: 262974
- Add back obsoletes

* Sun Jun 24 2012 dmorgan <dmorgan> 0:1.4-2.mga3
+ Revision: 262950
- Obsolete/provide maven-shared-common-artifact-filters

* Sun Jun 03 2012 gil <gil> 1.4-1.mga3
+ Revision: 253611
- imported package maven-common-artifact-filters


* Wed Dec  2 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.0.0-1
- Update to upstream version 3.0.0

* Mon Oct 12 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.0-0.1.20151012svn1708080
- Update to upstream 3.0 snapshot (svn revision 1708080)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 10 2015 gil cattaneo <puntogil@libero.it> 1.4-15
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4-13
- Use Requires: java-headless rebuild (#1067528)

* Wed Feb 19 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.4-12
- Fix unowned directory

* Thu Aug 29 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.4-11
- Migrate from easymock 1 to easymock 3
- Resolves: rhbz#1002476

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Michal Srb <msrb@redhat.com> - 1.4-9
- Enable tests again, they don't cause any trouble anywhere

* Thu Apr 11 2013 Michal Srb <msrb@redhat.com> - 1.4-8
- Run tests only in Fedora

* Tue Feb 19 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.4-7
- Build with xmvn
- Bring back BR on maven-shared

* Mon Feb 18 2013 Tomas Radej <tradej@redhat.com> - 1.4-6
- Removed B/R on maven-shared (unnecessary + blocking maven-shared retirement)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.4-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Nov 22 2012 gil <puntogil@libero.it> 1.4-3
- resolves rhbz#879363 (NOTICE file is not installed with javadoc package)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 08 2012 gil cattaneo <puntogil@libero.it> 1.4-1
- initial rpm
